{$i-}

program SOLVESTR (input, output);

var
  Tekst : string;

var
  t      : text;
  c, p   : byte;

begin
  assign (t, 'STRING.DAT');
  reset (t);
  readln (t, Tekst);
  close (t);
  for c:= 1 to length (Tekst) do Tekst[c]:= upcase (Tekst[c]);
  p:= pos ('LEFT$', Tekst);
  while p > 0 do begin
    delete (Tekst, p, 5);
    insert ('LeftString', Tekst, p);
    p:= pos ('LEFT$', Tekst);
  end;
  p:= pos ('RIGHT$', Tekst);
  while p > 0 do begin
    delete (Tekst, p, 6);
    insert ('RightString', Tekst, p);
    p:= pos ('RIGHT$', Tekst);
  end;
  p:= pos ('MID$', Tekst);
  while p > 0 do begin
    delete (Tekst, p, 4);
    insert ('copy', Tekst, p);
    p:= pos ('MID$', Tekst);
  end;
  p:= pos ('CHR$', Tekst);
  while p > 0 do begin
    delete (Tekst, p, 4);
    insert ('char', Tekst, p);
    p:= pos ('CHR$', Tekst);
  end;
  p:= pos ('ASC', Tekst);
  while p > 0 do begin
    delete (Tekst, p, 4);
    insert ('byte', Tekst, p);
    p:= pos ('ASC', Tekst);
  end;
end.
